package com.goer.project.model.dataType.mapper;

import java.util.List;
import com.goer.project.model.dataType.domain.DataType;
import org.springframework.stereotype.Repository;

/**
 * 数据类型Mapper接口
 * 
 * @author goer
 * @date 2022-01-17
 */
@Repository
public interface DataTypeMapper 
{
    /**
     * 查询数据类型
     * 
     * @param id 数据类型主键
     * @return 数据类型
     */
    public DataType selectDataTypeById(Long id);

    /**
     * 查询数据类型列表
     * 
     * @param dataType 数据类型
     * @return 数据类型集合
     */
    public List<DataType> selectDataTypeList(DataType dataType);

    /**
     * 新增数据类型
     * 
     * @param dataType 数据类型
     * @return 结果
     */
    public int insertDataType(DataType dataType);

    /**
     * 新增数据类型
     *
     * @param dataType 数据类型
     * @return 结果
     */
    public int addProjectInitialization(DataType dataType);

    /**
     * 修改数据类型
     * 
     * @param dataType 数据类型
     * @return 结果
     */
    public int updateDataType(DataType dataType);

    /**
     * 删除数据类型
     * 
     * @param id 数据类型主键
     * @return 结果
     */
    public int deleteDataTypeById(Long id);

    /**
     * 删除
     *
     * @param projectId 模型对象id
     * @return 结果
     */
    public int deleteDataTypeByProjectId(Long projectId);

    /**
     * 批量删除数据类型
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDataTypeByIds(String[] ids);

    /**
     * 查询最大排序
     *
     * @param dataType 数据类型
     * @return 结果
     */
    public int selectMaxDataSort(DataType dataType);

    /**
     * 批量更新
     * @param list
     * @return
     */
    public int updateList(List<DataType> list);
}
